package com.jiuqi.util.tree;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.util.tree.ObjectVistor;
import com.jiuqi.util.tree.ParentTreeBuilder;
import com.jiuqi.util.tree.StructTreeBuilder;
import com.jiuqi.util.tree.TreeBuilder;
import com.jiuqi.util.tree.TreeException;

public class TreeBuilderFactory {
  public static TreeBuilder createParentTreeBuilder(ObjectVistor vistor) throws TreeException {
    if (vistor == null)
      throw new TreeException("没有指定对象访问器，无法进行对象操作！"); 
    return (TreeBuilder)new ParentTreeBuilder(vistor);
  }
  
  public static TreeBuilder createStructTreeBuilder(ObjectVistor vistor, String structStr) throws TreeException {
    if (vistor == null)
      throw new TreeException("没有指定对象访问器，无法进行对象操作！"); 
    StructTreeBuilder builder = new StructTreeBuilder(vistor);
    builder.setStruct(structStr);
    return (TreeBuilder)builder;
  }
}
